Orders
Fetch Payments for an Order
Fetch payments for an Order using Razorpay Orders API.
GET
Use this endpoint to fetch all the payments made for an order. The response contains all the authorised or failed payments for that order.
Path Parameters
string
required
Unique identifier of the order for which the payments should be retrieved.
Response Parameters
string
Unique identifier of the payment.
string
Indicates the type of entity.
integer
The payment amount in currency subunits. For example, for an amount of enter 100.
string
The currency in which the payment is made.
string
The status of the payment. Possible values:
createdauthorizedcapturedrefundedfailed
string
The payment method used for making the payment. Possible values:
cardnetbankingwalletupiemi
string
Description of the payment, if any.
boolean
Indicates whether the payment is done via an international card or a domestic one. Possible values:
true: Payment made using international card.false: Payment not made using international card.
string
The refund status of the payment. Possible values:
nullpartialfull
integer
The amount refunded in currency subunits. For example, if
amount_refunded = 100, it is equal to .boolean
Indicates if the payment is captured. Possible values:
true: Payment has been captured.false: Payment has not been captured.
string
Customer email address used for the payment.
string
Customer contact number used for the payment.
integer
Fee (including tax) charged by us.
integer
Tax charged for the payment.
string
Error that occurred during payment. For example,
BAD_REQUEST_ERROR.string
Description of the error that occurred during payment. For example,
Payment processing failed because of incorrect OTP.string
The point of failure. For example,
customer.string
The stage where the transaction failure occurred. The stages can vary depending on the payment method used to complete the transaction. For example,
payment_authentication.string
The exact error reason. For example,
incorrect_otp.json object
Contains user-defined fields, stored for reference purposes.
integer
Timestamp, in UNIX format, on which the payment was created.
string
The unique identifier of the card used by the customer to make the payment.
string
The name of the wallet used by the customer to make the payment. For example,
payzapp.array
A dynamic array consisting of a unique reference numbers.
string
A unique bank reference number provided by the banking partner when a refund is processed. This reference number can be used by the customer to track the status of the refund with the bank.
string
A unique reference number generated for RuPay card payments.
string
A unique reference number provided by the banking partner in case of netbanking payments.
string
The 4-character bank code which the customer’s account is associated with. For example,
UTIB for Axis Bank.object
Details of the UPI payment received. Applicable if
method is upi.string
The payment method used for making the payment. Possible values:
bank_accountcredit_cardwallet
string
The customer’s VPA (Virtual Payment Address) or UPI id used to make the payment. For example,
gauravkumar@exampleupi.string
The customer’s VPA (Virtual Payment Address) or UPI id used to make the payment. For example,
gauravkumar@exampleupi.string
Unique identifier of the invoice associated with this order.
integer
The amount captured for this payment, in the smallest currency unit (paise for INR).
string
The payment provider used for cardless EMI, PayLater, or app-based payment methods.
object
Reward details applied to this payment, when an offer of type
reward was redeemed.